收藏 [登录/注册] 欢迎
榕基门户网及子站
联系我们
  • 福建榕基软件股份有限公司
  • 电话:0591-87860988
  • 传真:0591-87869595
  • 地址:福建省福州市鼓楼区
  •    软件大道89号
  •    A区15座
  • 邮编:350003
您的当前位置:首页 > 技术支持 > 漏洞公告

Exiv2 'jp2image.cpp'远程拒绝服务漏洞(CVE-2018-4868)

受影响系统:
Exiv2 Exiv2 0.26
描述:
BUGTRAQ  ID: 102477
CVE(CAN) ID: CVE-2018-4868

Exiv2 是一个用来提取图片中的EXIF、LPTC 和XMP 元数据信息的C++类库。

Exiv2 0.26版本,jp2image.cpp/Exiv2::Jp2Image::readMetadata函数在实现上存在安全漏洞,远程攻击者通过构造的文件,利用此漏洞可造成拒绝服务。

<*来源:xcainiao
  *>

建议:
厂商补丁:

Exiv2
-----
目前厂商已经发布了升级补丁以修复这个安全问题,请到厂商的主页下载:

https://github.com/Exiv2/exiv2/issues/202
http://dev.exiv2.org/projects/exiv2